Package org.gradle.tooling.model.eclipse

# Interface EclipseExternalDependency

All Superinterfaces:
  `Dependency`, `EclipseClasspathEntry`, `ExternalDependency`

public interface EclipseExternalDependency extends ExternalDependency, EclipseClasspathEntry
Represents an Eclipse-specific external artifact dependency.

Since:
  2.14

- ## Method Summary

  Modifier and Type
  Method
  Description
  `@Nullable ComponentSelector`
  `getAttemptedSelector()`
  Returns the coordinates of the artifact that Gradle was not able to resolve.
  `boolean`
  `isResolved()`
  Returns `true` if the current instance represents a resolved dependency.

  ### Methods inherited from interface org.gradle.tooling.model.eclipse.EclipseClasspathEntry

  `getAccessRules, getClasspathAttributes`

  ### Methods inherited from interface org.gradle.tooling.model.ExternalDependency

  `getFile, getGradleModuleVersion, getJavadoc, getSource, isExported`

- ## Method Details

  - ### isResolved

    boolean isResolved()
    Returns `true` if the current instance represents a resolved dependency.

    If the target Gradle version is older than 6.7 then this method will always return `true`.

    Since:
      6.7

  - ### getAttemptedSelector

    @Nullable ComponentSelector getAttemptedSelector()
    Returns the coordinates of the artifact that Gradle was not able to resolve.

    Returns `null` for resolved dependencies (i.e. when `isResolved()` returns true).

    If the target Gradle version is older than 6.7 then this method will always return `null`.

    Since:
      6.7